## oprofile-source 0.8.1-2

=== debian/changelog ===
oprofile-source (0.8.1-2) unstable; urgency=low

  * Closes: bug#280970 -- oprofile-source: FTBFS on most arches; changed
    from using arch-specific control files (a bad idea) to vars in the
    control file (much easier to maintain -- thanks, Kurt)
  * Module makefile now has an 'install.debian' target for use with the
    normal 'make-kpkg' scripts, and an 'install.kernel' target to use
    when building and installing a module without 'make-kpkg.'

 -- Al Stone <ahs3@debian.org>  Wed, 29 Dec 2004 13:49:54 -0700

oprofile-source (0.8.1-1) unstable; urgency=low

  * Update to latest upstream.
  * Split this package into two source packages: oprofile and
    oprofile-source.  While this is more work for the maintainer, it
    should make it easier for the user that wants to create a kernel
    module (and that's where the most complaints seem to be).
  * Closes: bug#269954 -- was missing a dependency on the proper
    kernel-image package in the control file for build a kernel
    module (debian/control.modules.in).

 -- Al Stone <ahs3@debian.org>  Mon, 18 Oct 2004 16:17:15 -0600

oprofile (0.8-2) unstable; urgency=low

  * Closes: bug#252530 -- FTBS on amd64.  Added in the new architecture. 
    To both oprofile _and_ oprofile-source, this time.

 -- Al Stone <ahs3@debian.org>  Thu,  2 Sep 2004 16:30:08 -0600

oprofile (0.8-1) unstable; urgency=low

  * Updating to latest released upstream source.
  * Closes: bug#257466 -- new upstream available
  * Closes: bug#252530 -- FTBS on amd64.  Added in the new architecture. 
  * Closes: bug#265256 -- /lib/modules/2.4.26-1-686/oprofile/oprofile.o:
    Doesn't work with kernel-image-2.4.26-1-686 version 2.4.26-4 (fixed
    with upload of new module packages)

 -- Al Stone <ahs3@debian.org>  Tue, 31 Aug 2004 16:37:34 -0600

oprofile (0.7.1-4) unstable; urgency=low

  * Closes: bug#245300: Shouldn't mention just x86/ia64 in description 
  * Clean up override disparity by setting priority back to 'optional'

 -- Al Stone <ahs3@debian.org>  Thu, 22 Apr 2004 17:43:00 -0600

oprofile (0.7.1-3) unstable; urgency=low

  * Closes: bug#228020 -- please add PPC.  Also added architectures that
    should work: alpha, i386, ia64, parisc, ppc, sparc
  * Because this package depends on binutils-dev, and it is an 'extra'
    package, this one cannot be 'optional'.  Changed priority to be
    'extra' to conform with policy.

 -- Al Stone <ahs3@debian.org>  Fri, 19 Mar 2004 18:02:08 -0700

oprofile (0.7.1-2) unstable; urgency=low

  * Closes: bug#227576 -- depended on automake1.7 but didn't use it;
    corrected debian/rules to use AUTOMAKE variable instead of relying
    on automake 1.7 being set as the default version.
  * automake was being run twice; cleaned up debian/rules to preclude this.
  * aclocal was defaulting, usually to the wrong version, so set the
    ACLOCAL variable in debian/rules to get this done right.

 -- Al Stone <ahs3@debian.org>  Tue, 24 Feb 2004 16:02:32 -0700

oprofile (0.7.1-1) unstable; urgency=low

  * Updated to latest upstream source.
  * Closes: bug#227135 -- removed dependency on specific version of libbfd
  * Closes: bug#227248 -- binaries are no longer dynamically linked against
    libbfd-2.14.90.0.6.so, which is not present
  * Closes: bug#227075 -- unsatisfied build-depends on docbook-xsl-stylesheets
    which has been replaced with docbook-xsl
  * Closes: bug#226767 -- in oprofile-source, 'make-kpkg modules_image' fails
    if not executed as root; made module source a tar.gz as suggested
  * Closes: bug#227460 -- in oprofile-source: please provide as archive (this
    is a duplicate of #226767)
  * Closes: bug#227378 -- duplicate of #227135, #227248 
  * Closes: bug#232268 -- oprofile-source uses -liberty but does not have
    a build-depends on it
  * module/ia64/op_pmu.c was missing includes needed to compile properly

 -- Al Stone <ahs3@debian.org>  Tue, 17 Feb 2004 21:28:55 -0700

oprofile (0.6.1-3) unstable; urgency=low

  * Since we can't know what kernel is in use, relaxed the dependency
    on oprofile-modules<n> to a Recommends.  E.g., in 2.6 kernels,
    the OProfile kernel module is in the kernel and could already be
    built and available.
  * Added dependency on binutils-dev (for libbfd.so) to oprofile-modules<n>
  * The oprofile-modules-* packages incorrectly included a dependency on
    automake and kernel-package (they are needed in Build-Depends, though).
  * oprofile-source was missing a dependency on automake1.7, binutils-dev
  * Changed the Makefile.am files for ./dae and ./daemon to remove the
    test on whether or not --with-kernel-support was used (but left
    this in the configure step in debian/rules to force the configure
    to _not_ look for kernel source since the kernel modules will be
    built by a different process).  This forces both a 2.4 oprofiled
    daemon (./dae/oprofiled) and a 2.5 daemon (./daemon/oprofiled)
    to be built.  At the same time, these now get installed as daemons
    with different names, and oprofiled becomes a wrapper script that
    invokes the right daemon for the right kernel.
  * Added a note to README.Debian about the need to use install_vmlinux
    when building a kernel image with make-kpkg, if you want to profile
    the kernel.
  * oprofile-source now conflicts with known 2.6 kernel packages
  * initial upload.  Closes: bug#139475 (RFP).

 -- Al Stone <ahs3@debian.org>  Sun, 16 Nov 2003 16:25:45 -0700

oprofile (0.6.1-2) unstable; urgency=low

  * Added a note to README.Debian: the kernel module uses an option
    called "allow_unload" which changes whether or not the module
    will ignore rmmod.  Explained what this meant and why it's there.
  * Improved the text in README.Debian; better wording, "user-space"
    instead of the more informal (and possibly unclear) "user-land,"
    and consistent capitalization of "OProfile."
  * Improved the text in the package descriptions; better wording
    and consistent capitalization of "OProfile."

