=== debian/control ===
Source: oprofile-source
Section: devel
Priority: optional
Maintainer: Al Stone <ahs3@debian.org>
Standards-Version: 3.6.1
Build-Depends: debhelper (>> 4.0.0), binutils-dev, libpopt-dev, automake1.7 | automake (>=1.7.5-1), autoconf

Package: oprofile-source
Architecture: i386 ia64 alpha hppa powerpc sparc amd64
Depends: make, debhelper (>> 3.0.0), debconf, kernel-package, binutils-dev, automake1.7 | automake (>=1.7.5-1), libpopt-dev ${${Arch}:OtherDeps}
Suggests: oprofile (>=0.8), prospect (>=0.9.8b)
Description: Source for the OProfile driver
 This package provides the source code for the OProfile kernel modules.
 The 'oprofile' package contains the daemon that is also required in order
 to extract the data collected by the kernel modules from kernel-space
 into user-space.  Kernel source is required to compile these modules.
 .
 The OProfile kernel module is highly architecture specific, and may not
 be available for all architectures.
 .
 You do not need to build an OProfile kernel module with Debian-provided
 kernel image packages later than 2.6.0; it is automatically built and
 included in the kernel image package.  You will only need this package
 to build the OProfile kernel module for custom kernels or kernels prior
 to 2.6.
